Interface Vulnerability.DetailOrBuilder (2.4.3)

public static interface Vulnerability.DetailOrBuilder extends MessageOrBuilder

Implements

MessageOrBuilder

Methods

getCpeUri()

public abstract String getCpeUri()

Required. The CPE URI in cpe format in which the vulnerability manifests. Examples include distro or storage location for vulnerable jar.

string cpe_uri = 1;

Returns
TypeDescription
String

The cpeUri.

getCpeUriBytes()

public abstract ByteString getCpeUriBytes()

Required. The CPE URI in cpe format in which the vulnerability manifests. Examples include distro or storage location for vulnerable jar.

string cpe_uri = 1;

Returns
TypeDescription
ByteString

The bytes for cpeUri.

getDescription()

public abstract String getDescription()

A vendor-specific description of this note.

string description = 6;

Returns
TypeDescription
String

The description.

getDescriptionBytes()

public abstract ByteString getDescriptionBytes()

A vendor-specific description of this note.

string description = 6;

Returns
TypeDescription
ByteString

The bytes for description.

getFixedLocation()

public abstract VulnerabilityLocation getFixedLocation()

The fix for this specific package version.

.grafeas.v1beta1.vulnerability.VulnerabilityLocation fixed_location = 7;

Returns
TypeDescription
VulnerabilityLocation

The fixedLocation.

getFixedLocationOrBuilder()

public abstract VulnerabilityLocationOrBuilder getFixedLocationOrBuilder()

The fix for this specific package version.

.grafeas.v1beta1.vulnerability.VulnerabilityLocation fixed_location = 7;

Returns
TypeDescription
VulnerabilityLocationOrBuilder

getIsObsolete()

public abstract boolean getIsObsolete()

Whether this detail is obsolete. Occurrences are expected not to point to obsolete details.

bool is_obsolete = 9;

Returns
TypeDescription
boolean

The isObsolete.

getMaxAffectedVersion()

public abstract Version getMaxAffectedVersion()

The max version of the package in which the vulnerability exists.

.grafeas.v1beta1.package.Version max_affected_version = 4;

Returns
TypeDescription
Version

The maxAffectedVersion.

getMaxAffectedVersionOrBuilder()

public abstract VersionOrBuilder getMaxAffectedVersionOrBuilder()

The max version of the package in which the vulnerability exists.

.grafeas.v1beta1.package.Version max_affected_version = 4;

Returns
TypeDescription
VersionOrBuilder

getMinAffectedVersion()

public abstract Version getMinAffectedVersion()

The min version of the package in which the vulnerability exists.

.grafeas.v1beta1.package.Version min_affected_version = 3;

Returns
TypeDescription
Version

The minAffectedVersion.

getMinAffectedVersionOrBuilder()

public abstract VersionOrBuilder getMinAffectedVersionOrBuilder()

The min version of the package in which the vulnerability exists.

.grafeas.v1beta1.package.Version min_affected_version = 3;

Returns
TypeDescription
VersionOrBuilder

getPackage()

public abstract String getPackage()

Required. The name of the package where the vulnerability was found.

string package = 2;

Returns
TypeDescription
String

The package.

getPackageBytes()

public abstract ByteString getPackageBytes()

Required. The name of the package where the vulnerability was found.

string package = 2;

Returns
TypeDescription
ByteString

The bytes for package.

getPackageType()

public abstract String getPackageType()

The type of package; whether native or non native(ruby gems, node.js packages etc).

string package_type = 8;

Returns
TypeDescription
String

The packageType.

getPackageTypeBytes()

public abstract ByteString getPackageTypeBytes()

The type of package; whether native or non native(ruby gems, node.js packages etc).

string package_type = 8;

Returns
TypeDescription
ByteString

The bytes for packageType.

getSeverityName()

public abstract String getSeverityName()

The severity (eg: distro assigned severity) for this vulnerability.

string severity_name = 5;

Returns
TypeDescription
String

The severityName.

getSeverityNameBytes()

public abstract ByteString getSeverityNameBytes()

The severity (eg: distro assigned severity) for this vulnerability.

string severity_name = 5;

Returns
TypeDescription
ByteString

The bytes for severityName.

getSourceUpdateTime()

public abstract Timestamp getSourceUpdateTime()

The time this information was last changed at the source. This is an upstream timestamp from the underlying information source - e.g. Ubuntu security tracker.

.google.protobuf.Timestamp source_update_time = 10;

Returns
TypeDescription
Timestamp

The sourceUpdateTime.

getSourceUpdateTimeOrBuilder()

public abstract TimestampOrBuilder getSourceUpdateTimeOrBuilder()

The time this information was last changed at the source. This is an upstream timestamp from the underlying information source - e.g. Ubuntu security tracker.

.google.protobuf.Timestamp source_update_time = 10;

Returns
TypeDescription
TimestampOrBuilder

hasFixedLocation()

public abstract boolean hasFixedLocation()

The fix for this specific package version.

.grafeas.v1beta1.vulnerability.VulnerabilityLocation fixed_location = 7;

Returns
TypeDescription
boolean

Whether the fixedLocation field is set.

hasMaxAffectedVersion()

public abstract boolean hasMaxAffectedVersion()

The max version of the package in which the vulnerability exists.

.grafeas.v1beta1.package.Version max_affected_version = 4;

Returns
TypeDescription
boolean

Whether the maxAffectedVersion field is set.

hasMinAffectedVersion()

public abstract boolean hasMinAffectedVersion()

The min version of the package in which the vulnerability exists.

.grafeas.v1beta1.package.Version min_affected_version = 3;

Returns
TypeDescription
boolean

Whether the minAffectedVersion field is set.

hasSourceUpdateTime()

public abstract boolean hasSourceUpdateTime()

The time this information was last changed at the source. This is an upstream timestamp from the underlying information source - e.g. Ubuntu security tracker.

.google.protobuf.Timestamp source_update_time = 10;

Returns
TypeDescription
boolean

Whether the sourceUpdateTime field is set.